Bug 251779 - CPU frequency scaling appears unsupported in FC7 but is enabled in the BIOS.
CPU frequency scaling appears unsupported in FC7 but is enabled in the BIOS.
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: cpuspeed (Show other bugs)
7
i686 Linux
low Severity low
: ---
: ---
Assigned To: Jarod Wilson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-11 00:16 EDT by c.h.
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-15 19:52:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg with +cpufreq=7 -quiet options present. (36.63 KB, text/plain)
2007-08-14 06:43 EDT, c.h.
no flags Details

  None (edit)
Description c.h. 2007-08-11 00:16:13 EDT
Description of problem:


Version-Release number of selected component (if applicable):

cpuspeed-1.2.1-2.fc7

How reproducible:

Every boot.


Steps to Reproduce:
1. Enable ACPI & CPU frequency scaling in BIOS.
2. Boot into FC7, apply all available FC7 updates.
3. No cpuspeed, CPU Frequency monitor, /proc or /sys files indicate functional
speed scaling support. 'Sensors applet' never shows Vcore change.

  
Actual results:

It's not at all inconceivable that there's a bug in the BIOS, but
if so it's not obvious to me what specific steps / diagnostics I could
further take to analyze the ultimate reason for this lack of functionality
so that a more detailed bug report to Fedora / cpuspeed / cpufreq-utils /
BIOS could be made.  I'd be glad to run any reasonable tests that
may be suggested to help track down the root of this problem.

It'd be nice if there was more verbose diagnostic information somewhere 
either in /var/log/messages, the output of cpuspeed, cpufreq-selector, dmesg, 
or some /sys or /proc file to inicate what specifically is absent
such that a CPU class that's capable of speed management isn't presenting
the capability.

Expected results:


Additional info:

Script started on Fri 10 Aug 2007 08:35:49 PM PDT

CPU Intel Q6600 Stepping G0
Motherboard ASUS P5K-Deluxe-Wifi Intel P35 Bearlake chipset ICH9R BIOS 0501 Beta
"CPU Frequency Monitor" utility says CPU 0 - Frequency Scaling Unsupported 2.40
GHz 100%

Sensors applet shows unexpectedly low Vcore values of 1.10 to 1.17V or so
even when all CPU cores are idle or are all fully loaded with a compute-bound
task.

+ /bin/uname -a
Linux localhost.localdomain 2.6.22.1-41.fc7 #1 SMP Fri Jul 27 18:21:43 EDT 2007
x86_64 x86_64 x86_64 GNU/Linux

+ /usr/bin/cpufreq-selector --frequency 2400000
No cpufreq support

+ /usr/bin/cpufreq-selector --governor --frequency 2400000
No cpufreq support

+ dmesg
+ grep -i cpu
Processor #0 (Bootup-CPU)
SMP: Allowing 4 CPUs, 0 hotplug CPUs
PERCPU: Allocating 40968 bytes of per cpu data
Initializing CPU#0
SLUB: Genslabs=23, HWalign=64, Order=0-1, MinObjects=4, CPUs=4, Nodes=1
CPU: L1 I cache: 32K, L1 D cache: 32K
CPU: L2 cache: 4096K
CPU 0/0 -> Node 0
CPU: Physical Processor ID: 0
CPU: Processor Core ID: 0
CPU0: Thermal monitoring enabled (TM2)
Initializing CPU#1
CPU: L1 I cache: 32K, L1 D cache: 32K
CPU: L2 cache: 4096K
CPU 1/1 -> Node 0
CPU: Physical Processor ID: 0
CPU: Processor Core ID: 1
CPU1: Thermal monitoring enabled (TM2)
Intel(R) Core(TM)2 Quad CPU    Q6600  @ 2.40GHz stepping 0b
checking TSC synchronization [CPU#0 -> CPU#1]: passed.
Initializing CPU#2
CPU: L1 I cache: 32K, L1 D cache: 32K
CPU: L2 cache: 4096K
CPU 2/2 -> Node 0
CPU: Physical Processor ID: 0
CPU: Processor Core ID: 2
CPU2: Thermal monitoring enabled (TM2)
Intel(R) Core(TM)2 Quad CPU    Q6600  @ 2.40GHz stepping 0b
checking TSC synchronization [CPU#0 -> CPU#2]: passed.
Initializing CPU#3
CPU: L1 I cache: 32K, L1 D cache: 32K
CPU: L2 cache: 4096K
CPU 3/3 -> Node 0
CPU: Physical Processor ID: 0
CPU: Processor Core ID: 3
CPU3: Thermal monitoring enabled (TM2)
Intel(R) Core(TM)2 Quad CPU    Q6600  @ 2.40GHz stepping 0b
checking TSC synchronization [CPU#0 -> CPU#3]: passed.
Brought up 4 CPUs
ACPI: SSDT CFF8E0D0, 0190 (r1    AMI   CPU1PM        1 INTL 20060113)
ACPI: SSDT CFF8E260, 0143 (r1    AMI   CPU2PM        1 INTL 20060113)
ACPI: SSDT CFF8E3B0, 0143 (r1    AMI   CPU3PM        1 INTL 20060113)
ACPI: SSDT CFF8E500, 0143 (r1    AMI   CPU4PM        1 INTL 20060113)
SELinux: initialized (dev cpuset, type cpuset), uses genfs_contexts
Disabling non-boot CPUs ...
kvm: disabling virtualization on CPU1
CPU 1 is now offline
CPU1 is down
kvm: disabling virtualization on CPU2
CPU 2 is now offline
CPU2 is down
kvm: disabling virtualization on CPU3
CPU 3 is now offline
CPU3 is down
Enabling non-boot CPUs ...
Initializing CPU#1
CPU: L1 I cache: 32K, L1 D cache: 32K
CPU: L2 cache: 4096K
CPU 1/1 -> Node 0
CPU: Physical Processor ID: 0
CPU: Processor Core ID: 1
Intel(R) Core(TM)2 Quad CPU    Q6600  @ 2.40GHz stepping 0b
checking TSC synchronization [CPU#0 -> CPU#1]: passed.
kvm: enabling virtualization on CPU1
CPU1 is up
Initializing CPU#2
CPU: L1 I cache: 32K, L1 D cache: 32K
CPU: L2 cache: 4096K
CPU 2/2 -> Node 0
CPU: Physical Processor ID: 0
CPU: Processor Core ID: 2
Intel(R) Core(TM)2 Quad CPU    Q6600  @ 2.40GHz stepping 0b
checking TSC synchronization [CPU#0 -> CPU#2]: passed.
kvm: enabling virtualization on CPU2
CPU2 is up
Initializing CPU#3
CPU: L1 I cache: 32K, L1 D cache: 32K
CPU: L2 cache: 4096K
CPU 3/3 -> Node 0
CPU: Physical Processor ID: 0
CPU: Processor Core ID: 3
Intel(R) Core(TM)2 Quad CPU    Q6600  @ 2.40GHz stepping 0b
checking TSC synchronization [CPU#2 -> CPU#3]: passed.
kvm: enabling virtualization on CPU3
CPU3 is up

+ dmesg
+ grep -i processor
Processor #0 (Bootup-CPU)
Processor #1
Processor #2
Processor #3
time.c: Detected 2405.454 MHz processor.
CPU: Physical Processor ID: 0
CPU: Processor Core ID: 0
Booting processor 1/4 APIC 0x1
CPU: Physical Processor ID: 0
CPU: Processor Core ID: 1
Booting processor 2/4 APIC 0x2
CPU: Physical Processor ID: 0
CPU: Processor Core ID: 2
Booting processor 3/4 APIC 0x3
CPU: Physical Processor ID: 0
CPU: Processor Core ID: 3
processor ACPI0007:03: freeze
processor ACPI0007:02: freeze
processor ACPI0007:01: freeze
processor ACPI0007:00: freeze
Booting processor 1/4 APIC 0x1
CPU: Physical Processor ID: 0
CPU: Processor Core ID: 1
Booting processor 2/4 APIC 0x2
CPU: Physical Processor ID: 0
CPU: Processor Core ID: 2
Booting processor 3/4 APIC 0x3
CPU: Physical Processor ID: 0
CPU: Processor Core ID: 3
processor ACPI0007:00: resuming
processor ACPI0007:01: resuming
processor ACPI0007:02: resuming
processor ACPI0007:03: resuming

+ dmesg
+ grep -i acpi
 BIOS-e820: 00000000cff80000 - 00000000cff8e000 (ACPI data)
 BIOS-e820: 00000000cff8e000 - 00000000cffe0000 (ACPI NVS)
ACPI: RSDP 000FBB80, 0024 (r2 ACPIAM)
ACPI: XSDT CFF80100, 0054 (r1 A_M_I_ OEMXSDT   6000726 MSFT       97)
ACPI: FACP CFF80290, 00F4 (r3 A_M_I_ OEMFACP   6000726 MSFT       97)
ACPI: DSDT CFF805C0, 8C47 (r1  A0761 A0761001        1 INTL 20060113)
ACPI: FACS CFF8E000, 0040
ACPI: APIC CFF80390, 006C (r1 A_M_I_ OEMAPIC   6000726 MSFT       97)
ACPI: MCFG CFF80400, 003C (r1 A_M_I_ OEMMCFG   6000726 MSFT       97)
ACPI: OEMB CFF8E040, 0081 (r1 A_M_I_ AMI_OEM   6000726 MSFT       97)
ACPI: HPET CFF89210, 0038 (r1 A_M_I_ OEMHPET   6000726 MSFT       97)
ACPI: OSFR CFF89250, 00B0 (r1 A_M_I_ OEMOSFR   6000726 MSFT       97)
ACPI: PM-Timer IO Port: 0x808
ACPI: Local APIC address 0xfee00000
ACPI: LAPIC (acpi_id[0x01] lapic_id[0x00] enabled)
ACPI: LAPIC (acpi_id[0x02] lapic_id[0x01] enabled)
ACPI: LAPIC (acpi_id[0x03] lapic_id[0x02] enabled)
ACPI: LAPIC (acpi_id[0x04] lapic_id[0x03] enabled)
ACPI: IOAPIC (id[0x04] address[0xfec00000] gsi_base[0])
ACPI: INT_SRC_OVR (bus 0 bus_irq 0 global_irq 2 dfl dfl)
ACPI: INT_SRC_OVR (bus 0 bus_irq 9 global_irq 9 high level)
ACPI: IRQ0 used by override.
ACPI: IRQ2 used by override.
ACPI: IRQ9 used by override.
ACPI: HPET id: 0xffffffff base: 0xfed00000
Using ACPI (MADT) for SMP configuration information
ACPI: Core revision 20070126
ACPI: bus type pci registered
ACPI: Interpreter enabled
ACPI: (supports S0 S1 S3 S4 S5)
ACPI: Using IOAPIC for interrupt routing
ACPI: PCI Root Bridge [PCI0] (0000:00)
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0._PRT]
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.P0P2._PRT]
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.P0P1._PRT]
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.P0P4._PRT]
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.P0P8._PRT]
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.P0P9._PRT]
ACPI: PCI Interrupt Link [LNKA] (IRQs 3 4 5 6 7 10 *11 12 14 15)
ACPI: PCI Interrupt Link [LNKB] (IRQs 3 4 5 6 7 *10 11 12 14 15)
ACPI: PCI Interrupt Link [LNKC] (IRQs 3 4 *5 6 7 10 11 12 14 15)
ACPI: PCI Interrupt Link [LNKD] (IRQs 3 4 5 6 7 10 11 12 *14 15)
ACPI: PCI Interrupt Link [LNKE] (IRQs 3 4 5 6 7 10 11 12 14 15) *0, disabled.
ACPI: PCI Interrupt Link [LNKF] (IRQs *3 4 5 6 7 10 11 12 14 15)
ACPI: PCI Interrupt Link [LNKG] (IRQs 3 4 5 6 7 10 11 12 14 *15)
ACPI: PCI Interrupt Link [LNKH] (IRQs 3 4 5 6 *7 10 11 12 14 15)
pnp: PnP ACPI init
ACPI: bus type pnp registered
pnp: PnP ACPI: found 14 devices
ACPI: ACPI bus type pnp unregistered
PCI: Using ACPI for IRQ routing
ACPI: RTC can wake from S4
ACPI: PCI Interrupt 0000:00:01.0[A] -> GSI 16 (level, low) -> IRQ 16
ACPI: PCI Interrupt 0000:00:1c.0[A] -> GSI 17 (level, low) -> IRQ 17
ACPI: PCI Interrupt 0000:00:1c.4[A] -> GSI 17 (level, low) -> IRQ 17
ACPI: PCI Interrupt 0000:00:1c.5[B] -> GSI 16 (level, low) -> IRQ 16
ACPI Warning (tbutils-0158): Incorrect checksum in table [OEMB] -  8B, should be
8A [20070126]
ACPI: SSDT CFF8E0D0, 0190 (r1    AMI   CPU1PM        1 INTL 20060113)
ACPI: SSDT CFF8E260, 0143 (r1    AMI   CPU2PM        1 INTL 20060113)
ACPI: SSDT CFF8E3B0, 0143 (r1    AMI   CPU3PM        1 INTL 20060113)
ACPI: SSDT CFF8E500, 0143 (r1    AMI   CPU4PM        1 INTL 20060113)
ACPI: PCI Interrupt 0000:00:1a.0[A] -> GSI 16 (level, low) -> IRQ 16
ACPI: PCI Interrupt 0000:00:1a.1[B] -> GSI 21 (level, low) -> IRQ 21
ACPI: PCI Interrupt 0000:00:1a.2[C] -> GSI 18 (level, low) -> IRQ 18
ACPI: PCI Interrupt 0000:00:1d.0[A] -> GSI 23 (level, low) -> IRQ 23
ACPI: PCI Interrupt 0000:00:1d.1[B] -> GSI 19 (level, low) -> IRQ 19
ACPI: PCI Interrupt 0000:00:1d.2[C] -> GSI 18 (level, low) -> IRQ 18
ACPI: PCI Interrupt 0000:00:1a.7[C] -> GSI 18 (level, low) -> IRQ 18
ACPI: PCI Interrupt 0000:00:1d.7[A] -> GSI 23 (level, low) -> IRQ 23
ACPI: PCI Interrupt 0000:03:00.1[B] -> GSI 17 (level, low) -> IRQ 17
ACPI: PCI Interrupt 0000:00:1f.2[B] -> GSI 22 (level, low) -> IRQ 22
ACPI: PCI Interrupt 0000:00:1f.5[B] -> GSI 22 (level, low) -> IRQ 22
ACPI: PCI Interrupt 0000:03:00.0[A] -> GSI 16 (level, low) -> IRQ 16
ACPI: PCI Interrupt 0000:00:1f.3[C] -> GSI 18 (level, low) -> IRQ 18
ACPI: PCI Interrupt 0000:05:04.0[A] -> GSI 16 (level, low) -> IRQ 16
ACPI: PCI Interrupt 0000:02:00.0[A] -> GSI 17 (level, low) -> IRQ 17
ACPI: PCI Interrupt 0000:05:03.0[A] -> GSI 19 (level, low) -> IRQ 19
ACPI: PCI Interrupt 0000:01:00.0[A] -> GSI 16 (level, low) -> IRQ 16
ACPI: PCI Interrupt 0000:05:01.0[A] -> GSI 17 (level, low) -> IRQ 17
ACPI: PCI Interrupt 0000:00:1b.0[A] -> GSI 22 (level, low) -> IRQ 22
ACPI: Power Button (FF) [PWRF]
ACPI: Power Button (CM) [PWRB]
ACPI: PCI interrupt for device 0000:05:01.0 disabled
ACPI: PCI interrupt for device 0000:03:00.1 disabled
ACPI: PCI interrupt for device 0000:03:00.0 disabled
ACPI: PCI interrupt for device 0000:00:1f.5 disabled
ACPI: PCI interrupt for device 0000:00:1f.2 disabled
ACPI: PCI interrupt for device 0000:00:1d.7 disabled
ACPI: PCI interrupt for device 0000:00:1d.2 disabled
ACPI: PCI interrupt for device 0000:00:1d.1 disabled
ACPI: PCI interrupt for device 0000:00:1d.0 disabled
ACPI: PCI interrupt for device 0000:00:1b.0 disabled
ACPI: PCI interrupt for device 0000:00:1a.7 disabled
ACPI: PCI interrupt for device 0000:00:1a.2 disabled
ACPI: PCI interrupt for device 0000:00:1a.1 disabled
ACPI: PCI interrupt for device 0000:00:1a.0 disabled
acpi thermal:00: freeze
acpi PNP0C01:01: freeze
acpi PNP0C32:00: freeze
acpi device:2f: freeze
acpi device:2e: freeze
acpi device:2d: freeze
acpi device:2c: freeze
acpi device:2b: freeze
acpi device:2a: freeze
acpi device:29: freeze
acpi device:28: freeze
acpi device:27: freeze
acpi device:26: freeze
acpi device:25: freeze
acpi device:24: freeze
acpi device:23: freeze
acpi device:22: freeze
acpi device:21: freeze
acpi device:20: freeze
acpi device:1f: freeze
acpi device:1e: freeze
acpi device:1d: freeze
acpi device:1c: freeze
acpi device:1b: freeze
acpi device:1a: freeze
acpi device:19: freeze
acpi device:18: freeze
acpi device:17: freeze
acpi device:16: freeze
acpi device:15: freeze
acpi device:14: freeze
acpi device:13: freeze
acpi device:12: freeze
acpi device:11: freeze
acpi device:10: freeze
acpi device:0f: freeze
acpi device:0e: freeze
acpi device:0d: freeze
acpi device:0c: freeze
acpi device:0b: freeze
acpi device:0a: freeze
acpi device:09: freeze
acpi device:08: freeze
acpi device:07: freeze
acpi device:06: freeze
acpi device:05: freeze
acpi device:04: freeze
acpi PNP0C02:03: freeze
acpi PNP0303:00: freeze
acpi PNP0C02:02: freeze
acpi PNP0501:00: freeze
acpi PNP0103:00: freeze
acpi ATK0110:00: freeze
acpi PNP0C02:01: freeze
acpi PNP0C02:00: freeze
acpi PNP0C04:00: freeze
acpi PNP0800:00: freeze
acpi PNP0B00:00: freeze
acpi PNP0100:00: freeze
acpi PNP0200:00: freeze
acpi PNP0000:00: freeze
acpi device:03: freeze
acpi device:02: freeze
acpi device:01: freeze
acpi PNP0C01:00: freeze
acpi device:00: freeze
processor ACPI0007:03: freeze
processor ACPI0007:02: freeze
processor ACPI0007:01: freeze
processor ACPI0007:00: freeze
acpi acpi_system:00: freeze
acpi acpi_system:00: resuming
processor ACPI0007:00: resuming
processor ACPI0007:01: resuming
processor ACPI0007:02: resuming
processor ACPI0007:03: resuming
acpi device:00: resuming
acpi PNP0C01:00: resuming
acpi device:01: resuming
acpi device:02: resuming
acpi device:03: resuming
acpi PNP0000:00: resuming
acpi PNP0200:00: resuming
acpi PNP0100:00: resuming
acpi PNP0B00:00: resuming
acpi PNP0800:00: resuming
acpi PNP0C04:00: resuming
acpi PNP0C02:00: resuming
acpi PNP0C02:01: resuming
acpi ATK0110:00: resuming
acpi PNP0103:00: resuming
acpi PNP0501:00: resuming
acpi PNP0C02:02: resuming
acpi PNP0303:00: resuming
acpi PNP0C02:03: resuming
acpi device:04: resuming
acpi device:05: resuming
acpi device:06: resuming
acpi device:07: resuming
acpi device:08: resuming
acpi device:09: resuming
acpi device:0a: resuming
acpi device:0b: resuming
acpi device:0c: resuming
acpi device:0d: resuming
acpi device:0e: resuming
acpi device:0f: resuming
acpi device:10: resuming
acpi device:11: resuming
acpi device:12: resuming
acpi device:13: resuming
acpi device:14: resuming
acpi device:15: resuming
acpi device:16: resuming
acpi device:17: resuming
acpi device:18: resuming
acpi device:19: resuming
acpi device:1a: resuming
acpi device:1b: resuming
acpi device:1c: resuming
acpi device:1d: resuming
acpi device:1e: resuming
acpi device:1f: resuming
acpi device:20: resuming
acpi device:21: resuming
acpi device:22: resuming
acpi device:23: resuming
acpi device:24: resuming
acpi device:25: resuming
acpi device:26: resuming
acpi device:27: resuming
acpi device:28: resuming
acpi device:29: resuming
acpi device:2a: resuming
acpi device:2b: resuming
acpi device:2c: resuming
acpi device:2d: resuming
acpi device:2e: resuming
acpi device:2f: resuming
acpi PNP0C32:00: resuming
acpi PNP0C01:01: resuming
acpi thermal:00: resuming
ACPI: PCI Interrupt 0000:00:1a.0[A] -> GSI 16 (level, low) -> IRQ 16
ACPI: PCI Interrupt 0000:00:1a.1[B] -> GSI 21 (level, low) -> IRQ 21
ACPI: PCI Interrupt 0000:00:1a.2[C] -> GSI 18 (level, low) -> IRQ 18
ACPI: PCI Interrupt 0000:00:1a.7[C] -> GSI 18 (level, low) -> IRQ 18
ACPI: PCI Interrupt 0000:00:1b.0[A] -> GSI 22 (level, low) -> IRQ 22
ACPI: PCI Interrupt 0000:00:1d.0[A] -> GSI 23 (level, low) -> IRQ 23
ACPI: PCI Interrupt 0000:00:1d.1[B] -> GSI 19 (level, low) -> IRQ 19
ACPI: PCI Interrupt 0000:00:1d.2[C] -> GSI 18 (level, low) -> IRQ 18
ACPI: PCI Interrupt 0000:00:1d.7[A] -> GSI 23 (level, low) -> IRQ 23
ACPI: PCI Interrupt 0000:00:1f.2[B] -> GSI 22 (level, low) -> IRQ 22
ACPI: PCI Interrupt 0000:00:1f.5[B] -> GSI 22 (level, low) -> IRQ 22
ACPI: PCI Interrupt 0000:03:00.0[A] -> GSI 16 (level, low) -> IRQ 16
ACPI: PCI Interrupt 0000:03:00.1[B] -> GSI 17 (level, low) -> IRQ 17
ACPI: PCI Interrupt 0000:05:01.0[A] -> GSI 17 (level, low) -> IRQ 17
ACPI: PCI interrupt for device 0000:05:04.0 disabled
ACPI: PCI Interrupt 0000:05:04.0[A] -> GSI 16 (level, low) -> IRQ 16

+ cat /proc/cpuinfo
processor	: 0
vendor_id	: GenuineIntel
cpu family	: 6
model		: 15
model name	: Intel(R) Core(TM)2 Quad CPU    Q6600  @ 2.40GHz
stepping	: 11
cpu MHz		: 2405.454
cache size	: 4096 KB
physical id	: 0
siblings	: 4
core id		: 0
cpu cores	: 4
fpu		: yes
fpu_exception	: yes
cpuid level	: 10
wp		: yes
flags		: fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36
clflush dts acpi mmx fxsr sse sse2 ss ht tm syscall nx lm constant_tsc pni
monitor ds_cpl vmx est tm2 ssse3 cx16 xtpr lahf_lm
bogomips	: 4813.51
clflush size	: 64
cache_alignment	: 64
address sizes	: 36 bits physical, 48 bits virtual
power management:

processor	: 1
vendor_id	: GenuineIntel
cpu family	: 6
model		: 15
model name	: Intel(R) Core(TM)2 Quad CPU    Q6600  @ 2.40GHz
stepping	: 11
cpu MHz		: 2405.454
cache size	: 4096 KB
physical id	: 0
siblings	: 4
core id		: 1
cpu cores	: 4
fpu		: yes
fpu_exception	: yes
cpuid level	: 10
wp		: yes
flags		: fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36
clflush dts acpi mmx fxsr sse sse2 ss ht tm syscall nx lm constant_tsc pni
monitor ds_cpl vmx est tm2 ssse3 cx16 xtpr lahf_lm
bogomips	: 4810.87
clflush size	: 64
cache_alignment	: 64
address sizes	: 36 bits physical, 48 bits virtual
power management:

processor	: 2
vendor_id	: GenuineIntel
cpu family	: 6
model		: 15
model name	: Intel(R) Core(TM)2 Quad CPU    Q6600  @ 2.40GHz
stepping	: 11
cpu MHz		: 2405.454
cache size	: 4096 KB
physical id	: 0
siblings	: 4
core id		: 2
cpu cores	: 4
fpu		: yes
fpu_exception	: yes
cpuid level	: 10
wp		: yes
flags		: fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36
clflush dts acpi mmx fxsr sse sse2 ss ht tm syscall nx lm constant_tsc pni
monitor ds_cpl vmx est tm2 ssse3 cx16 xtpr lahf_lm
bogomips	: 4810.91
clflush size	: 64
cache_alignment	: 64
address sizes	: 36 bits physical, 48 bits virtual
power management:

processor	: 3
vendor_id	: GenuineIntel
cpu family	: 6
model		: 15
model name	: Intel(R) Core(TM)2 Quad CPU    Q6600  @ 2.40GHz
stepping	: 11
cpu MHz		: 2405.454
cache size	: 4096 KB
physical id	: 0
siblings	: 4
core id		: 3
cpu cores	: 4
fpu		: yes
fpu_exception	: yes
cpuid level	: 10
wp		: yes
flags		: fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36
clflush dts acpi mmx fxsr sse sse2 ss ht tm syscall nx lm constant_tsc pni
monitor ds_cpl vmx est tm2 ssse3 cx16 xtpr lahf_lm
bogomips	: 4810.34
clflush size	: 64
cache_alignment	: 64
address sizes	: 36 bits physical, 48 bits virtual
power management:


+ cat /proc/acpi/processor/CPU1/info
processor id:            0
acpi id:                 1
bus mastering control:   no
power management:        no
throttling control:      no
limit interface:         no

+ cat /proc/acpi/processor/CPU2/info
processor id:            1
acpi id:                 2
bus mastering control:   no
power management:        no
throttling control:      no
limit interface:         no

+ cat /proc/acpi/processor/CPU1/power
active state:            C1
max_cstate:              C8
bus master activity:     00000000
maximum allowed latency: 2000 usec
states:
   *C1:                  type[C1] promotion[--] demotion[--] latency[000]
usage[00000000] duration[00000000000000000000]

+ cat /proc/acpi/processor/CPU2/power
active state:            C1
max_cstate:              C8
bus master activity:     00000000
maximum allowed latency: 2000 usec
states:
   *C1:                  type[C1] promotion[--] demotion[--] latency[000]
usage[00000000] duration[00000000000000000000]

+ cat /proc/acpi/processor/CPU1/limit
<not supported>

+ cat /proc/acpi/processor/CPU2/limit
<not supported>

+ cat /proc/acpi/processor/CPU1/throttling
<not supported>

+ cat /proc/acpi/processor/CPU2/throttling
<not supported>

+ cat /proc/acpi/info
version:                 20070126

+ cat /proc/acpi/fan
cat: /proc/acpi/fan: Is a directory

+ cat /proc/acpi/power_resource
cat: /proc/acpi/power_resource: Is a directory

+ find /sys/devices/system/acpi -ls
  4698    0 drwxr-xr-x   3 root     root            0 Aug  9 19:10
/sys/devices/system/acpi
  4699    0 drwxr-xr-x   2 root     root            0 Aug  9 19:10
/sys/devices/system/acpi/acpi0

+ cat /sys/devices/system/cpu/sched_mc_power_savings
0

+ find /sys/devices/system/cpu -ls
    18    0 drwxr-xr-x   6 root     root            0 Aug 10 19:56
/sys/devices/system/cpu
    90    0 drwxr-xr-x   5 root     root            0 Aug 10 19:56
/sys/devices/system/cpu/cpu3
 18654    0 drwxr-xr-x   5 root     root            0 Aug 10 17:34
/sys/devices/system/cpu/cpu3/cache
 18673    0 drwxr-xr-x   2 root     root            0 Aug 10 19:56
/sys/devices/system/cpu/cpu3/cache/index2
 18681    0 -r--r--r--   1 root     root         4096 Aug 10 19:56
/sys/devices/system/cpu/cpu3/cache/index2/shared_cpu_map
 18680    0 -r--r--r--   1 root     root         4096 Aug 10 19:56
/sys/devices/system/cpu/cpu3/cache/index2/size
 18679    0 -r--r--r--   1 root     root         4096 Aug 10 19:56
/sys/devices/system/cpu/cpu3/cache/index2/number_of_sets
 18678    0 -r--r--r--   1 root     root         4096 Aug 10 19:56
/sys/devices/system/cpu/cpu3/cache/index2/ways_of_associativity
 18677    0 -r--r--r--   1 root     root         4096 Aug 10 19:56
/sys/devices/system/cpu/cpu3/cache/index2/physical_line_partition
 18676    0 -r--r--r--   1 root     root         4096 Aug 10 19:56
/sys/devices/system/cpu/cpu3/cache/index2/coherency_line_size
 18675    0 -r--r--r--   1 root     root         4096 Aug 10 19:56
/sys/devices/system/cpu/cpu3/cache/index2/level
 18674    0 -r--r--r--   1 root     root         4096 Aug 10 19:56
/sys/devices/system/cpu/cpu3/cache/index2/type
 18664    0 drwxr-xr-x   2 root     root            0 Aug 10 19:56
/sys/devices/system/cpu/cpu3/cache/index1
 18672    0 -r--r--r--   1 root     root         4096 Aug 10 19:56
/sys/devices/system/cpu/cpu3/cache/index1/shared_cpu_map
 18671    0 -r--r--r--   1 root     root         4096 Aug 10 19:56
/sys/devices/system/cpu/cpu3/cache/index1/size
 18670    0 -r--r--r--   1 root     root         4096 Aug 10 19:56
/sys/devices/system/cpu/cpu3/cache/index1/number_of_sets
 18669    0 -r--r--r--   1 root     root         4096 Aug 10 19:56
/sys/devices/system/cpu/cpu3/cache/index1/ways_of_associativity
 18668    0 -r--r--r--   1 root     root         4096 Aug 10 19:56
/sys/devices/system/cpu/cpu3/cache/index1/physical_line_partition
 18667    0 -r--r--r--   1 root     root         4096 Aug 10 19:56
/sys/devices/system/cpu/cpu3/cache/index1/coherency_line_size
 18666    0 -r--r--r--   1 root     root         4096 Aug 10 19:56
/sys/devices/system/cpu/cpu3/cache/index1/level
 18665    0 -r--r--r--   1 root     root         4096 Aug 10 19:56
/sys/devices/system/cpu/cpu3/cache/index1/type
 18655    0 drwxr-xr-x   2 root     root            0 Aug 10 19:56
/sys/devices/system/cpu/cpu3/cache/index0
 18663    0 -r--r--r--   1 root     root         4096 Aug 10 19:56
/sys/devices/system/cpu/cpu3/cache/index0/shared_cpu_map
 18662    0 -r--r--r--   1 root     root         4096 Aug 10 19:56
/sys/devices/system/cpu/cpu3/cache/index0/size
 18661    0 -r--r--r--   1 root     root         4096 Aug 10 19:56
/sys/devices/system/cpu/cpu3/cache/index0/number_of_sets
 18660    0 -r--r--r--   1 root     root         4096 Aug 10 19:56
/sys/devices/system/cpu/cpu3/cache/index0/ways_of_associativity
 18659    0 -r--r--r--   1 root     root         4096 Aug 10 19:56
/sys/devices/system/cpu/cpu3/cache/index0/physical_line_partition
 18658    0 -r--r--r--   1 root     root         4096 Aug 10 19:56
/sys/devices/system/cpu/cpu3/cache/index0/coherency_line_size
 18657    0 -r--r--r--   1 root     root         4096 Aug 10 19:56
/sys/devices/system/cpu/cpu3/cache/index0/level
 18656    0 -r--r--r--   1 root     root         4096 Aug 10 19:56
/sys/devices/system/cpu/cpu3/cache/index0/type
 18640    0 drwxr-xr-x   2 root     root            0 Aug 10 19:56
/sys/devices/system/cpu/cpu3/thermal_throttle
 18641    0 -r--r--r--   1 root     root         4096 Aug 10 19:56
/sys/devices/system/cpu/cpu3/thermal_throttle/count
 18625    0 drwxr-xr-x   2 root     root            0 Aug 10 19:56
/sys/devices/system/cpu/cpu3/topology
 18629    0 -r--r--r--   1 root     root         4096 Aug 10 19:56
/sys/devices/system/cpu/cpu3/topology/core_siblings
 18628    0 -r--r--r--   1 root     root         4096 Aug 10 19:56
/sys/devices/system/cpu/cpu3/topology/thread_siblings
 18627    0 -r--r--r--   1 root     root         4096 Aug 10 19:56
/sys/devices/system/cpu/cpu3/topology/core_id
 18626    0 -r--r--r--   1 root     root         4096 Aug 10 19:56
/sys/devices/system/cpu/cpu3/topology/physical_package_id
    93    0 -r--------   1 root     root         4096 Aug 10 19:56
/sys/devices/system/cpu/cpu3/crash_notes
    91    0 -rw-------   1 root     root         4096 Aug 10 19:56
/sys/devices/system/cpu/cpu3/online
    86    0 drwxr-xr-x   5 root     root            0 Aug 10 19:56
/sys/devices/system/cpu/cpu2
 18577    0 drwxr-xr-x   5 root     root            0 Aug 10 17:34
/sys/devices/system/cpu/cpu2/cache
 18596    0 drwxr-xr-x   2 root     root            0 Aug 10 19:56
/sys/devices/system/cpu/cpu2/cache/index2
 18604    0 -r--r--r--   1 root     root         4096 Aug 10 19:56
/sys/devices/system/cpu/cpu2/cache/index2/shared_cpu_map
 18603    0 -r--r--r--   1 root     root         4096 Aug 10 19:56
/sys/devices/system/cpu/cpu2/cache/index2/size
 18602    0 -r--r--r--   1 root     root         4096 Aug 10 19:56
/sys/devices/system/cpu/cpu2/cache/index2/number_of_sets
 18601    0 -r--r--r--   1 root     root         4096 Aug 10 19:56
/sys/devices/system/cpu/cpu2/cache/index2/ways_of_associativity
 18600    0 -r--r--r--   1 root     root         4096 Aug 10 19:56
/sys/devices/system/cpu/cpu2/cache/index2/physical_line_partition
 18599    0 -r--r--r--   1 root     root         4096 Aug 10 19:56
/sys/devices/system/cpu/cpu2/cache/index2/coherency_line_size
 18598    0 -r--r--r--   1 root     root         4096 Aug 10 19:56
/sys/devices/system/cpu/cpu2/cache/index2/level
 18597    0 -r--r--r--   1 root     root         4096 Aug 10 19:56
/sys/devices/system/cpu/cpu2/cache/index2/type
 18587    0 drwxr-xr-x   2 root     root            0 Aug 10 19:56
/sys/devices/system/cpu/cpu2/cache/index1
 18595    0 -r--r--r--   1 root     root         4096 Aug 10 19:56
/sys/devices/system/cpu/cpu2/cache/index1/shared_cpu_map
 18594    0 -r--r--r--   1 root     root         4096 Aug 10 19:56
/sys/devices/system/cpu/cpu2/cache/index1/size
 18593    0 -r--r--r--   1 root     root         4096 Aug 10 19:56
/sys/devices/system/cpu/cpu2/cache/index1/number_of_sets
 18592    0 -r--r--r--   1 root     root         4096 Aug 10 19:56
/sys/devices/system/cpu/cpu2/cache/index1/ways_of_associativity
 18591    0 -r--r--r--   1 root     root         4096 Aug 10 19:56
/sys/devices/system/cpu/cpu2/cache/index1/physical_line_partition
 18590    0 -r--r--r--   1 root     root         4096 Aug 10 19:56
/sys/devices/system/cpu/cpu2/cache/index1/coherency_line_size
 18589    0 -r--r--r--   1 root     root         4096 Aug 10 19:56
/sys/devices/system/cpu/cpu2/cache/index1/level
 18588    0 -r--r--r--   1 root     root         4096 Aug 10 19:56
/sys/devices/system/cpu/cpu2/cache/index1/type
 18578    0 drwxr-xr-x   2 root     root            0 Aug 10 19:56
/sys/devices/system/cpu/cpu2/cache/index0
 18586    0 -r--r--r--   1 root     root         4096 Aug 10 19:56
/sys/devices/system/cpu/cpu2/cache/index0/shared_cpu_map
 18585    0 -r--r--r--   1 root     root         4096 Aug 10 19:56
/sys/devices/system/cpu/cpu2/cache/index0/size
 18584    0 -r--r--r--   1 root     root         4096 Aug 10 19:56
/sys/devices/system/cpu/cpu2/cache/index0/number_of_sets
 18583    0 -r--r--r--   1 root     root         4096 Aug 10 19:56
/sys/devices/system/cpu/cpu2/cache/index0/ways_of_associativity
 18582    0 -r--r--r--   1 root     root         4096 Aug 10 19:56
/sys/devices/system/cpu/cpu2/cache/index0/physical_line_partition
 18581    0 -r--r--r--   1 root     root         4096 Aug 10 19:56
/sys/devices/system/cpu/cpu2/cache/index0/coherency_line_size
 18580    0 -r--r--r--   1 root     root         4096 Aug 10 19:56
/sys/devices/system/cpu/cpu2/cache/index0/level
 18579    0 -r--r--r--   1 root     root         4096 Aug 10 19:56
/sys/devices/system/cpu/cpu2/cache/index0/type
 18563    0 drwxr-xr-x   2 root     root            0 Aug 10 19:56
/sys/devices/system/cpu/cpu2/thermal_throttle
 18564    0 -r--r--r--   1 root     root         4096 Aug 10 19:56
/sys/devices/system/cpu/cpu2/thermal_throttle/count
 18548    0 drwxr-xr-x   2 root     root            0 Aug 10 19:56
/sys/devices/system/cpu/cpu2/topology
 18552    0 -r--r--r--   1 root     root         4096 Aug 10 19:56
/sys/devices/system/cpu/cpu2/topology/core_siblings
 18551    0 -r--r--r--   1 root     root         4096 Aug 10 19:56
/sys/devices/system/cpu/cpu2/topology/thread_siblings
 18550    0 -r--r--r--   1 root     root         4096 Aug 10 19:56
/sys/devices/system/cpu/cpu2/topology/core_id
 18549    0 -r--r--r--   1 root     root         4096 Aug 10 19:56
/sys/devices/system/cpu/cpu2/topology/physical_package_id
    89    0 -r--------   1 root     root         4096 Aug 10 19:56
/sys/devices/system/cpu/cpu2/crash_notes
    87    0 -rw-------   1 root     root         4096 Aug 10 19:56
/sys/devices/system/cpu/cpu2/online
    82    0 drwxr-xr-x   5 root     root            0 Aug 10 19:56
/sys/devices/system/cpu/cpu1
 18500    0 drwxr-xr-x   5 root     root            0 Aug 10 17:34
/sys/devices/system/cpu/cpu1/cache
 18519    0 drwxr-xr-x   2 root     root            0 Aug 10 19:56
/sys/devices/system/cpu/cpu1/cache/index2
 18527    0 -r--r--r--   1 root     root         4096 Aug 10 19:56
/sys/devices/system/cpu/cpu1/cache/index2/shared_cpu_map
 18526    0 -r--r--r--   1 root     root         4096 Aug 10 19:56
/sys/devices/system/cpu/cpu1/cache/index2/size
 18525    0 -r--r--r--   1 root     root         4096 Aug 10 19:56
/sys/devices/system/cpu/cpu1/cache/index2/number_of_sets
 18524    0 -r--r--r--   1 root     root         4096 Aug 10 19:56
/sys/devices/system/cpu/cpu1/cache/index2/ways_of_associativity
 18523    0 -r--r--r--   1 root     root         4096 Aug 10 19:56
/sys/devices/system/cpu/cpu1/cache/index2/physical_line_partition
 18522    0 -r--r--r--   1 root     root         4096 Aug 10 19:56
/sys/devices/system/cpu/cpu1/cache/index2/coherency_line_size
 18521    0 -r--r--r--   1 root     root         4096 Aug 10 19:56
/sys/devices/system/cpu/cpu1/cache/index2/level
 18520    0 -r--r--r--   1 root     root         4096 Aug 10 19:56
/sys/devices/system/cpu/cpu1/cache/index2/type
 18510    0 drwxr-xr-x   2 root     root            0 Aug 10 19:56
/sys/devices/system/cpu/cpu1/cache/index1
 18518    0 -r--r--r--   1 root     root         4096 Aug 10 19:56
/sys/devices/system/cpu/cpu1/cache/index1/shared_cpu_map
 18517    0 -r--r--r--   1 root     root         4096 Aug 10 19:56
/sys/devices/system/cpu/cpu1/cache/index1/size
 18516    0 -r--r--r--   1 root     root         4096 Aug 10 19:56
/sys/devices/system/cpu/cpu1/cache/index1/number_of_sets
 18515    0 -r--r--r--   1 root     root         4096 Aug 10 19:56
/sys/devices/system/cpu/cpu1/cache/index1/ways_of_associativity
 18514    0 -r--r--r--   1 root     root         4096 Aug 10 19:56
/sys/devices/system/cpu/cpu1/cache/index1/physical_line_partition
 18513    0 -r--r--r--   1 root     root         4096 Aug 10 19:56
/sys/devices/system/cpu/cpu1/cache/index1/coherency_line_size
 18512    0 -r--r--r--   1 root     root         4096 Aug 10 19:56
/sys/devices/system/cpu/cpu1/cache/index1/level
 18511    0 -r--r--r--   1 root     root         4096 Aug 10 19:56
/sys/devices/system/cpu/cpu1/cache/index1/type
 18501    0 drwxr-xr-x   2 root     root            0 Aug 10 19:56
/sys/devices/system/cpu/cpu1/cache/index0
 18509    0 -r--r--r--   1 root     root         4096 Aug 10 19:56
/sys/devices/system/cpu/cpu1/cache/index0/shared_cpu_map
 18508    0 -r--r--r--   1 root     root         4096 Aug 10 19:56
/sys/devices/system/cpu/cpu1/cache/index0/size
 18507    0 -r--r--r--   1 root     root         4096 Aug 10 19:56
/sys/devices/system/cpu/cpu1/cache/index0/number_of_sets
 18506    0 -r--r--r--   1 root     root         4096 Aug 10 19:56
/sys/devices/system/cpu/cpu1/cache/index0/ways_of_associativity
 18505    0 -r--r--r--   1 root     root         4096 Aug 10 19:56
/sys/devices/system/cpu/cpu1/cache/index0/physical_line_partition
 18504    0 -r--r--r--   1 root     root         4096 Aug 10 19:56
/sys/devices/system/cpu/cpu1/cache/index0/coherency_line_size
 18503    0 -r--r--r--   1 root     root         4096 Aug 10 19:56
/sys/devices/system/cpu/cpu1/cache/index0/level
 18502    0 -r--r--r--   1 root     root         4096 Aug 10 19:56
/sys/devices/system/cpu/cpu1/cache/index0/type
 18486    0 drwxr-xr-x   2 root     root            0 Aug 10 19:56
/sys/devices/system/cpu/cpu1/thermal_throttle
 18487    0 -r--r--r--   1 root     root         4096 Aug 10 19:56
/sys/devices/system/cpu/cpu1/thermal_throttle/count
 18471    0 drwxr-xr-x   2 root     root            0 Aug 10 19:56
/sys/devices/system/cpu/cpu1/topology
 18475    0 -r--r--r--   1 root     root         4096 Aug 10 19:56
/sys/devices/system/cpu/cpu1/topology/core_siblings
 18474    0 -r--r--r--   1 root     root         4096 Aug 10 19:56
/sys/devices/system/cpu/cpu1/topology/thread_siblings
 18473    0 -r--r--r--   1 root     root         4096 Aug 10 19:56
/sys/devices/system/cpu/cpu1/topology/core_id
 18472    0 -r--r--r--   1 root     root         4096 Aug 10 19:56
/sys/devices/system/cpu/cpu1/topology/physical_package_id
    85    0 -r--------   1 root     root         4096 Aug 10 19:56
/sys/devices/system/cpu/cpu1/crash_notes
    83    0 -rw-------   1 root     root         4096 Aug 10 19:56
/sys/devices/system/cpu/cpu1/online
    79    0 drwxr-xr-x   5 root     root            0 Aug 10 19:56
/sys/devices/system/cpu/cpu0
  4230    0 drwxr-xr-x   2 root     root            0 Aug 10 19:56
/sys/devices/system/cpu/cpu0/topology
  4234    0 -r--r--r--   1 root     root         4096 Aug 10 19:56
/sys/devices/system/cpu/cpu0/topology/core_siblings
  4233    0 -r--r--r--   1 root     root         4096 Aug 10 19:56
/sys/devices/system/cpu/cpu0/topology/thread_siblings
  4232    0 -r--r--r--   1 root     root         4096 Aug 10 19:56
/sys/devices/system/cpu/cpu0/topology/core_id
  4231    0 -r--r--r--   1 root     root         4096 Aug 10 19:56
/sys/devices/system/cpu/cpu0/topology/physical_package_id
  1872    0 drwxr-xr-x   5 root     root            0 Aug  9 19:10
/sys/devices/system/cpu/cpu0/cache
  1891    0 drwxr-xr-x   2 root     root            0 Aug 10 19:56
/sys/devices/system/cpu/cpu0/cache/index2
  1899    0 -r--r--r--   1 root     root         4096 Aug 10 19:56
/sys/devices/system/cpu/cpu0/cache/index2/shared_cpu_map
  1898    0 -r--r--r--   1 root     root         4096 Aug 10 19:56
/sys/devices/system/cpu/cpu0/cache/index2/size
  1897    0 -r--r--r--   1 root     root         4096 Aug 10 19:56
/sys/devices/system/cpu/cpu0/cache/index2/number_of_sets
  1896    0 -r--r--r--   1 root     root         4096 Aug 10 19:56
/sys/devices/system/cpu/cpu0/cache/index2/ways_of_associativity
  1895    0 -r--r--r--   1 root     root         4096 Aug 10 19:56
/sys/devices/system/cpu/cpu0/cache/index2/physical_line_partition
  1894    0 -r--r--r--   1 root     root         4096 Aug 10 19:56
/sys/devices/system/cpu/cpu0/cache/index2/coherency_line_size
  1893    0 -r--r--r--   1 root     root         4096 Aug 10 19:56
/sys/devices/system/cpu/cpu0/cache/index2/level
  1892    0 -r--r--r--   1 root     root         4096 Aug 10 19:56
/sys/devices/system/cpu/cpu0/cache/index2/type
  1882    0 drwxr-xr-x   2 root     root            0 Aug 10 19:56
/sys/devices/system/cpu/cpu0/cache/index1
  1890    0 -r--r--r--   1 root     root         4096 Aug 10 19:56
/sys/devices/system/cpu/cpu0/cache/index1/shared_cpu_map
  1889    0 -r--r--r--   1 root     root         4096 Aug 10 19:56
/sys/devices/system/cpu/cpu0/cache/index1/size
  1888    0 -r--r--r--   1 root     root         4096 Aug 10 19:56
/sys/devices/system/cpu/cpu0/cache/index1/number_of_sets
  1887    0 -r--r--r--   1 root     root         4096 Aug 10 19:56
/sys/devices/system/cpu/cpu0/cache/index1/ways_of_associativity
  1886    0 -r--r--r--   1 root     root         4096 Aug 10 19:56
/sys/devices/system/cpu/cpu0/cache/index1/physical_line_partition
  1885    0 -r--r--r--   1 root     root         4096 Aug 10 19:56
/sys/devices/system/cpu/cpu0/cache/index1/coherency_line_size
  1884    0 -r--r--r--   1 root     root         4096 Aug 10 19:56
/sys/devices/system/cpu/cpu0/cache/index1/level
  1883    0 -r--r--r--   1 root     root         4096 Aug 10 19:56
/sys/devices/system/cpu/cpu0/cache/index1/type
  1873    0 drwxr-xr-x   2 root     root            0 Aug 10 19:56
/sys/devices/system/cpu/cpu0/cache/index0
  1881    0 -r--r--r--   1 root     root         4096 Aug 10 19:56
/sys/devices/system/cpu/cpu0/cache/index0/shared_cpu_map
  1880    0 -r--r--r--   1 root     root         4096 Aug 10 19:56
/sys/devices/system/cpu/cpu0/cache/index0/size
  1879    0 -r--r--r--   1 root     root         4096 Aug 10 19:56
/sys/devices/system/cpu/cpu0/cache/index0/number_of_sets
  1878    0 -r--r--r--   1 root     root         4096 Aug 10 19:56
/sys/devices/system/cpu/cpu0/cache/index0/ways_of_associativity
  1877    0 -r--r--r--   1 root     root         4096 Aug 10 19:56
/sys/devices/system/cpu/cpu0/cache/index0/physical_line_partition
  1876    0 -r--r--r--   1 root     root         4096 Aug 10 19:56
/sys/devices/system/cpu/cpu0/cache/index0/coherency_line_size
  1875    0 -r--r--r--   1 root     root         4096 Aug 10 19:56
/sys/devices/system/cpu/cpu0/cache/index0/level
  1874    0 -r--r--r--   1 root     root         4096 Aug 10 19:56
/sys/devices/system/cpu/cpu0/cache/index0/type
  1810    0 drwxr-xr-x   2 root     root            0 Aug 10 19:56
/sys/devices/system/cpu/cpu0/thermal_throttle
  1811    0 -r--r--r--   1 root     root         4096 Aug 10 19:56
/sys/devices/system/cpu/cpu0/thermal_throttle/count
    81    0 -r--------   1 root     root         4096 Aug 10 19:56
/sys/devices/system/cpu/cpu0/crash_notes
    19    0 -rw-r--r--   1 root     root         4096 Aug 10 19:56
/sys/devices/system/cpu/sched_mc_power_savings

+ find /proc/acpi -ls
4026531917    0 dr-xr-xr-x  11 root     root            0 Aug  9 19:11 /proc/acpi
4026532233    0 dr-xr-xr-x   2 root     root            0 Aug 10 20:35
/proc/acpi/video
4026532227    0 dr-xr-xr-x   3 root     root            0 Aug 10 20:35
/proc/acpi/button
4026532228    0 dr-xr-xr-x   4 root     root            0 Aug 10 20:35
/proc/acpi/button/power
4026532231    0 dr-xr-xr-x   2 root     root            0 Aug 10 20:35
/proc/acpi/button/power/PWRB
4026532232    0 -r--r--r--   1 root     root            0 Aug 10 20:35
/proc/acpi/button/power/PWRB/info
4026532229    0 dr-xr-xr-x   2 root     root            0 Aug 10 20:35
/proc/acpi/button/power/PWRF
4026532230    0 -r--r--r--   1 root     root            0 Aug 10 20:35
/proc/acpi/button/power/PWRF/info
4026532226    0 dr-xr-xr-x   2 root     root            0 Aug 10 20:35
/proc/acpi/battery
4026532205    0 dr-xr-xr-x   2 root     root            0 Aug 10 20:35
/proc/acpi/ac_adapter
4026532033    0 -rw-r--r--   1 root     root            0 Aug 10 20:35
/proc/acpi/wakeup
4026532023    0 dr-xr-xr-x   2 root     root            0 Aug 10 20:35
/proc/acpi/thermal_zone
4026532002    0 dr-xr-xr-x   6 root     root            0 Aug 10 20:35
/proc/acpi/processor
4026532018    0 dr-xr-xr-x   2 root     root            0 Aug 10 20:35
/proc/acpi/processor/CPU4
4026532022    0 -r--r--r--   1 root     root            0 Aug 10 20:35
/proc/acpi/processor/CPU4/power
4026532021    0 -rw-r--r--   1 root     root            0 Aug 10 20:35
/proc/acpi/processor/CPU4/limit
4026532020    0 -rw-r--r--   1 root     root            0 Aug 10 20:35
/proc/acpi/processor/CPU4/throttling
4026532019    0 -r--r--r--   1 root     root            0 Aug 10 20:35
/proc/acpi/processor/CPU4/info
4026532013    0 dr-xr-xr-x   2 root     root            0 Aug 10 20:35
/proc/acpi/processor/CPU3
4026532017    0 -r--r--r--   1 root     root            0 Aug 10 20:35
/proc/acpi/processor/CPU3/power
4026532016    0 -rw-r--r--   1 root     root            0 Aug 10 20:35
/proc/acpi/processor/CPU3/limit
4026532015    0 -rw-r--r--   1 root     root            0 Aug 10 20:35
/proc/acpi/processor/CPU3/throttling
4026532014    0 -r--r--r--   1 root     root            0 Aug 10 20:35
/proc/acpi/processor/CPU3/info
4026532008    0 dr-xr-xr-x   2 root     root            0 Aug 10 20:35
/proc/acpi/processor/CPU2
4026532012    0 -r--r--r--   1 root     root            0 Aug 10 20:35
/proc/acpi/processor/CPU2/power
4026532011    0 -rw-r--r--   1 root     root            0 Aug 10 20:35
/proc/acpi/processor/CPU2/limit
4026532010    0 -rw-r--r--   1 root     root            0 Aug 10 20:35
/proc/acpi/processor/CPU2/throttling
4026532009    0 -r--r--r--   1 root     root            0 Aug 10 20:35
/proc/acpi/processor/CPU2/info
4026532003    0 dr-xr-xr-x   2 root     root            0 Aug 10 20:35
/proc/acpi/processor/CPU1
4026532007    0 -r--r--r--   1 root     root            0 Aug 10 20:35
/proc/acpi/processor/CPU1/power
4026532006    0 -rw-r--r--   1 root     root            0 Aug 10 20:35
/proc/acpi/processor/CPU1/limit
4026532005    0 -rw-r--r--   1 root     root            0 Aug 10 20:35
/proc/acpi/processor/CPU1/throttling
4026532004    0 -r--r--r--   1 root     root            0 Aug 10 20:35
/proc/acpi/processor/CPU1/info
4026532001    0 dr-xr-xr-x   2 root     root            0 Aug 10 20:35
/proc/acpi/fan
4026531923    0 -r--------   1 root     root            0 Aug  9 19:11
/proc/acpi/event
4026531922    0 -r--------   1 root     root            0 Aug 10 20:35
/proc/acpi/fadt
4026531921    0 -r--------   1 root     root            0 Aug 10 20:35
/proc/acpi/dsdt
4026531920    0 -r--r--r--   1 root     root            0 Aug 10 20:35
/proc/acpi/info
4026531919    0 dr-xr-xr-x   2 root     root            0 Aug 10 20:35
/proc/acpi/power_resource
4026531918    0 dr-xr-xr-x   2 root     root            0 Aug 10 20:35
/proc/acpi/embedded_controller

+ /sbin/chkconfig --list
+ grep -i cpu
cpuspeed       	0:off	1:on	2:on	3:on	4:on	5:on	6:off

+ /sbin/lsmod
+ grep -i freq
cpufreq_ondemand       17489  0 

+ /sbin/lsmod
+ grep -i cpu
cpufreq_ondemand       17489  0 
xt_tcpudp              12097  14 
x_tables               29001  8
ipt_MASQUERADE,iptable_nat,xt_state,ipt_REJECT,ip_tables,xt_tcpudp,ip6t_REJECT,ip6_tables

+ ps -axlwww
+ grep -i cpufreq

/usr/libexec/cpufreq-applet
--oaf-activate-iid=OAFIID:GNOME_CPUFreqApplet_Factory --oaf-ior-fd=61


+ /etc/init.d/cpuspeed restart

Script done on Fri 10 Aug 2007 08:36:23 PM PDT
Comment 1 Jarod Wilson 2007-08-11 01:50:26 EDT
Try booting with some modified grub.conf kernel params. Substitute 'cpufreq.debug=7' for 'quiet' on the 
kernel line. Grab dmesg output after booting up and attach it to the bug. Should give some good info on 
why we're not getting any freq scaling. Note that freq scaling works perfectly on my own core 2 quad 
system, so I'd have to be inclined to say its a BIOS problem at first glance.
Comment 2 c.h. 2007-08-14 06:39:44 EDT
Thanks for the kernel parameter information for debugging.  I've just
rebooted using the 'cpufreq.debug=7' parameter instead of 'quiet' and I see
that there is new potentially relevant information in the new dmesg output.

It looks like there may be some issues in the BIOS though I'm not sure
how relevant those are or if they're such that the F7 PM code is intended
to be able to work-around them or not.

I can submit the information wrt. the memory address reservation and
checksum related problems to the Motherboard/BIOS vendor and hope
that they'll have enough information to resolve those before too long.
Beyond that I'm just wondering if besides experimenting with other BIOS
settings that "shouldn't" make PM work better (but might if there's a BIOS
bug), if there's anything I could do in Fedora to get it working and
to determine if F7's working "as intended" in the situation.

Here I'll list a few of the items I've noticed that concern me as 
being potentially related problems (though I'm only speculating at
the possible relevance), and thereafter I'll send the whole 
recent dmesg output.

Concerning (relevant?) items:
...
PCI: BIOS Bug: MCFG area at e0000000 is not E820-reserved
PCI: Not using MMCONFIG.
PCI: Using configuration type 1
ACPI: Interpreter enabled
ACPI: (supports S0 S1 S3 S4 S5)
...
pnp: 00:0a: iomem range 0xfee00000-0xfee00fff could not be reserved
...
pnp: 00:0d: iomem range 0x0-0x9ffff could not be reserved
...
pnp: 00:0d: iomem range 0xe0000-0xfffff could not be reserved
pnp: 00:0d: iomem range 0x100000-0xcfffffff could not be reserved
...
ACPI Warning (tbutils-0158): Incorrect checksum in table [OEMB] -  7C, should be
7B [20070126]
ACPI: SSDT CFF8E0D0, 0190 (r1    AMI   CPU1PM        1 INTL 20060113)
ACPI: SSDT CFF8E260, 0143 (r1    AMI   CPU2PM        1 INTL 20060113)
ACPI: SSDT CFF8E3B0, 0143 (r1    AMI   CPU3PM        1 INTL 20060113)
ACPI: SSDT CFF8E500, 0143 (r1    AMI   CPU4PM        1 INTL 20060113)
hpet_resources: 0xfed00000 is busy
...
acpi-cpufreq: acpi_cpufreq_init
acpi-cpufreq: acpi_cpufreq_early_init
cpufreq-core: trying to register driver acpi-cpufreq
cpufreq-core: adding CPU 0
acpi-cpufreq: acpi_cpufreq_cpu_init
acpi-cpufreq: No P-States
cpufreq-core: initialization failed
cpufreq-core: adding CPU 1
acpi-cpufreq: acpi_cpufreq_cpu_init
acpi-cpufreq: No P-States
cpufreq-core: initialization failed
cpufreq-core: adding CPU 2
acpi-cpufreq: acpi_cpufreq_cpu_init
acpi-cpufreq: No P-States
cpufreq-core: initialization failed
cpufreq-core: adding CPU 3
acpi-cpufreq: acpi_cpufreq_cpu_init
acpi-cpufreq: No P-States
cpufreq-core: initialization failed
cpufreq-core: no CPU initialized for driver acpi-cpufreq
cpufreq-core: unregistering CPU 0
cpufreq-core: unregistering CPU 1
cpufreq-core: unregistering CPU 2
cpufreq-core: unregistering CPU 3
...

Full dmesg:

see subsequently attached file and/or forthcoming comment if the attachment
process gives me trouble.

Comment 3 c.h. 2007-08-14 06:43:12 EDT
Created attachment 161259 [details]
dmesg with +cpufreq=7 -quiet options present.
Comment 4 Jarod Wilson 2007-08-14 11:36:28 EDT
This bit is the most relevant out of dmesg:

cpufreq-core: trying to register driver acpi-cpufreq
cpufreq-core: adding CPU 0
acpi-cpufreq: acpi_cpufreq_cpu_init
acpi-cpufreq: No P-States

This indicates that the BIOS ACPI tables aren't providing us with any P-State
data, which is fatal to the acpi-cpufreq driver. Pretty sure this is a BIOS bug,
and not one we can work around in any sane manner.
Comment 5 c.h. 2007-08-15 19:52:39 EDT
Thank you very much for your help in assessing this and for the information
on how to get the full debug data.
You were correct, it was the BIOS doing something contradictory to the
apparent status of the ACPI / C1E settings when other settings were
made.  I experimented with various configurations and found that
I was able to get a functional cpuspeed configuration supporting:
P0 = Full speed CPUx9
P1 = Minimum speed CPUx6
acpi-cpufreq: CPU0 - ACPI performance management activated.
1.15V @ acpi-cpufreq:      *P0: 2394 MHz, 88000 mW, 10 uS
1.06V @ acpi-cpufreq:       P1: 1596 MHz, 59048 mW, 10 uS

Those seem to switch appropriately and the Vcores change commensurately.

Thanks agaom for all the good work on the cpuspeed / power management code!

I'll change this to "NOTABUG".

Note You need to log in before you can comment on or make changes to this bug.